#!/bin/sh
if [ ! -n "$1" ] ;then
    echo "未传入参数：需要打包的Folder路径"
else
	dir=$1
	echo ">>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>\n"
	echo 正在打包 $dir ...

	parentdir="$(dirname "$dir")"

	rm ./resource.properties

	# 1. create resource.properties
	echo "\n>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>\n"

	touch ./resource.properties

	# 2. 将所有文件名写入 resource.properties

	for file in $dir/*
	do
		fname=`basename $file`
        echo $fname >> ./resource.properties
        echo 写入 $fname 到 resource.properties
	done
 
 	echo 写入完成
	echo "\n>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>\n"
	
	# 4. move properties to dir
	mv ./resource.properties $dir/

	# 5. pack the folder into zip
	dirname=`basename $dir` 
	echo basename $dirname
	cd $parentdir
	zip -r $dirname.zip $dirname	

	echo 打包完成
	echo "\n>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>\n"

	# 6. get the zip md5
	md5 $dirname.zip
	
fi

